/*
 * Copyright 2020 Kunbus GmbH.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kunbus.revpi;

/**
 *
 * @author Kunbus GmbH
 */
public class SDeviceInfo {

    public int address;             // Address of module in current configuration
    public long serialnumber;       // serial number of module
    public int moduleType;         // Type identifier of module
    public int hwRevision;        // hardware revision
    public int swMajor;           // major software version
    public int swMinor;           // minor software version
    public long svnRevision;       // svn revision of software
    public int inputLength;        // length in bytes of all input values together
    public int outputLength;       // length in bytes of all output values together
    public int configLength;       // length in bytes of all config values together
    public int baseOffset;         // offset in process image
    public int inputOffset;        // offset in process image of first input byte
    public int outputOffset;       // offset in process image of first output byte
    public int configOffset;       // offset in process image of first config byte
    public int firstEntry;         // index of entry
    public int entries;            // number of entries in process image
    public int moduleState;         // fieldbus state of piGate Module
    public int active;              // == 0 means that the module is not present and no data is available
}
