/*
 * Copyright 2020 Kunbus GmbH.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kunbus.revpi;

/**
 *
 * @author Kunbus GmbH
 */
public class SPIValue {

    public SPIValue(int address, int bit, int value) {
        this.address = address;
        this.bit = bit;
        this.value = value;
    }

    public int address;            // Address of the byte in the process image
    public int bit;                 // 0-7 bit position, >= 8 whole byte
    public int value;               // Value: 0/1 for bit access, whole byte otherwise
}
